#include <bits/stdc++.h>
using namespace std;
long long n,k, mat[30][200007],sol,niz[30],mini;
vector <int> ind[33];
string a,srt;
long long najm(int x){
    sol=1e9;
    for (int i=1;i<=k;i++){
        if (mat[i][x]!=mat[i][n]){
            sol=min(sol, mat[i][x]+1);
        }
    }




    return 1;

}


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin >> n >> k;
    cin >> a;
    for (int i=1;i<=n;i++){
        cout << i/k+1<< " "'
        
    }

    cout << endl;

}